%def_disable static
%def_enable shared
%def_disable rpath
%def_with pic

%def_enable ogg123
%def_enable oggdec
%def_enable oggenc
%def_enable ogginfo
%def_enable vcut
%def_enable vorbiscomment
%def_with flac
%def_with speex

%def_disable testing

Name: vorbis-tools
Version: 1.1.1
Release: alt4
Summary: Ogg Vorbis Tools
Summary(uk_UA.CP1251):  Ogg Vorbis
Summary(ru_RU.CP1251):  Ogg Vorbis
License: GPL
Group: Sound
URL: http://www.vorbis.com/
Source: http://downloads.xiph.org/releases/vorbis/%name-%version.tar.bz2
Patch0: %name-1.1.1-iconv.patch
Patch1: %name-1.1.1+flac-1.1.3-1.patch
Patch2: %name-1.1.1+flac-1.1.3-2.patch
Patch3: %name-1.1.1+flac-1.1.3-3.patch
Patch4: %name-1.1.1-configure.patch
Patch5: %name-1.1.1-curl4.patch

BuildRequires: gcc-c++ libstdc++-devel pkg-config
BuildRequires: libogg-devel >= 1.0 libvorbis-devel >= 1.0.1
%if_enabled ogg123
BuildRequires: libao-devel libcurl-devel
%{?_with_flac:BuildRequires: libflac-devel libogg-devel liboggflac-devel}
%{?_with_speex:BuildRequires: libspeex-devel}
%else
%{?_enable_oggenc:%{?_with_flac:BuildRequires: libflac-devel libogg-devel liboggflac-devel}}
%endif

%description
%name contains:
%if_enabled ogg123
  - ogg123 - playback tool
%endif
%if_enabled oggdec
  - oggdec - decoder
%endif
%if_enabled oggenc
  - oggenc - encoder
%endif
%if_enabled ogginfo
  - ogginfo - informator
%endif
%if_enabled vcut
  - vcut - cut tool
%endif
%if_enabled vorbiscomment
  - vorbiscomment - tag editor.
%endif

%description -l uk_UA.CP1251
%name :
%if_enabled ogg123
  - ogg123 -   
%endif
%if_enabled oggdec
  - oggdec - 
%endif
%if_enabled oggenc
  - oggenc - 
%endif
%if_enabled ogginfo
  - ogginfo - 
%endif
%if_enabled vcut
  - vcut -   
%endif
%if_enabled vorbiscomment
  - vorbiscomment -  .
%endif

%description -l ru_RU.CP1251
%name :
%if_enabled ogg123
  - ogg123 -   
%endif
%if_enabled oggdec
  - oggdec - 
%endif
%if_enabled oggenc
  - oggenc - 
%endif
%if_enabled ogginfo
  - ogginfo - 
%endif
%if_enabled vcut
  - vcut -   
%endif
%if_enabled vorbiscomment
  - vorbiscomment -  .
%endif


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p0


%build
%__autoreconf
%configure \
    %{subst_with pic} \
    %{subst_enable rpath} \
    %{subst_enable static} \
%if_disabled testing
    --disable-aotest \
    --disable-curltest \
    --disable-oggtest \
    --disable-vorbistest \
%endif
    %{subst_enable ogg123} \
    %{subst_enable oggdec} \
    %{subst_enable oggenc} \
    %{subst_enable ogginfo} \
    %{subst_enable vcut} \
    %{subst_enable vorbiscomment} \
    %{subst_with flac} \
    %{subst_with speex}

%make_build


%install
%make_install DESTDIR=%buildroot install

%find_lang %name


%files -f %name.lang
%doc AUTHORS README
%_bindir/*
%_man1dir/*


%changelog
* Wed Mar 07 2007 Led <led@altlinux.ru> 1.1.1-alt4
- rebuild with libFLAC.so.8

* Tue Feb 06 2007 Led <led@altlinux.ru> 1.1.1-alt3.1
- fixed %%changelog

* Mon Feb 05 2007 Led <led@altlinux.ru> 1.1.1-alt3
- added %name-1.1.1+flac-1.1.3-[123].patch (from Gentoo)
- fixed build with flac and speex: %name-1.1.1-configure.patch
- added %name-1.1.1-curl4.patch (from NetBSD)
- cleaned up spec

* Mon Jul 24 2006 Led <led@altlinux.ru> 1.1.1-alt2
- cleaned up spec
- enabled FLAC

* Mon Jul 10 2006 Led <led@altlinux.ru> 1.1.1-alt1.1
- added vorbis-tools-1.1.1-iconv.patch

* Thu Jul 07 2005 Andrey Astafiev <andrei@altlinux.ru> 1.1.1-alt1
- 1.1.1

* Sat Nov 22 2003 Andrey Astafiev <andrei@altlinux.ru> 1.0update.1-alt1
- 1.0.1

* Mon Sep 15 2003 Andrey Astafiev <andrei@altlinux.ru> 1.0release-alt3
- Fixed to build with hasher.

* Thu Oct 31 2002 Rider <rider@altlinux.ru> 1.0release-alt2
- rebuild (gcc 3.2)

* Tue Jul 30 2002 Andrey Astafiev <andrei@altlinux.ru> 1.0release-alt1
- 1.0
- some temprorary changes to avoid using Serial.

* Thu Jan 03 2002 Andrey Astafiev <andrei@altlinux.ru> 1.0rc3-alt1
- 1.0rc3

* Thu Sep 27 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.0rc2-alt2
- A bit more specfile cleanup.

* Thu Sep 27 2001 Andrey Astafiev <andrei@altlinux.ru> 1.0rc2-alt1
- spec cleanup.

* Sat Sep 22 2001 Michael Shigorin <mike@lic145.kiev.ua>
- built for ALTLinux.

* Sun Aug 12 2001 Greg Maxwell <greg@linuxpower.cx>
- updated for rc2.

* Sun Jun 17 2001 Jack Moffitt <jack@icecast.org>
- updated for rc1.
- added ogginfo.

* Mon Jan 22 2001 Jack Moffitt <jack@icecast.org>
- updated for prebeta4 builds.

* Sun Oct 29 2000 Jack Moffitt <jack@icecast.org>
- initial spec file created.
